package request


type AlibabaWdkItemMerchantskuUpdateRequest struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        参数json     */
    Params  *string `json:"params" required:"true" `
    /*
        机构编码     */
    OrgCode  *string `json:"org_code" required:"true" `
}

func (s *AlibabaWdkItemMerchantskuUpdateRequest) SetSkuCode(v string) *AlibabaWdkItemMerchantskuUpdateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuUpdateRequest) SetParams(v string) *AlibabaWdkItemMerchantskuUpdateRequest {
    s.Params = &v
    return s
}
func (s *AlibabaWdkItemMerchantskuUpdateRequest) SetOrgCode(v string) *AlibabaWdkItemMerchantskuUpdateRequest {
    s.OrgCode = &v
    return s
}

func (req *AlibabaWdkItemMerchantskuUpdateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.Params != nil) {
        paramMap["params"] = *req.Params
    }
    if(req.OrgCode != nil) {
        paramMap["org_code"] = *req.OrgCode
    }
    return paramMap
}

func (req *AlibabaWdkItemMerchantskuUpdateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}